#pragma once

#include <QObject>
#include <QList>
#include "sqlitehelper.h"


class ExitManager : public QObject
{
	Q_OBJECT
public:
	
	// 退出应用程序
	void exit(int exitCode = 0)
	{
		SQLiteHelper sqlite_helper;
		sqlite_helper.db.close();
		QSqlDatabase::removeDatabase("mydb");
		// 发射退出应用程序信号
		::exit(exitCode);
	}


};